QGIS Application - Bug report #20186

restricting layers to be added to legend to those turned on in the selected map theme

2018-10-22 05:27 PM - Rob Willson

Status: Closed
Priority: Normal
Assignee: Nyall Dawson
Category: Map Legend

Affected QGIS version:3.3(master)
Operating System: Windows 10
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 28007

Description

in QGIS 2.18 when you had selected for your layout to "follow visibility preset" and then went to "Add layer to legend" your list of layers
would be restricted to the subset of layers that were turned on for the preset (now called map theme).

This does not happen in Q3.2 or the latest Q developmental version where instead all of the layers in the project are listed.

I love the new search dialogue built into the developmental version so that you can quickly search for your layer to add to the legend;

however, it is still much quicker to add the relevant layers to your legend by restricting the layers shown in the selection dialogue to those

turned on in the map theme selected to be followed (i.e., checkbox for follow map theme selected).

Not sure if this would be classified as a regression or if the feature was removed intentionally.

Associated revisions

Revision 8cf64c8a - 2018-10-23 08:41 AM - Nyall Dawson

[layouts] Add option to filter "add layer to legend" dialog to

layers visible within the (linked) map only

Fixes #20186

History

#1 - 2018-10-22 07:24 PM - Giovanni Manghi

- Regression? changed from Yes to No
- Status changed from Open to Feedback

Can you ask in the developers mailing list if this change was introduced by design? Thanks!

#2 - 2018-10-22 07:31 PM - Rob Willson

can do

#3 - 2018-10-23 02:53 AM - Nyall Dawson

- Status changed from Feedback to In Progress

- Assignee set to Nyall Dawson
#4 - 2018-10-23 08:40 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|8cf64c8a51d7d2d9f6c60f2632ac4e20f27f595d.
